Start batch of email validations
curl --request POST \
--url https://api.amplemarket.com/email-validations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
{
"email": "jsmith@example.com"
}
]
}
'import requests
url = "https://api.amplemarket.com/email-validations"
payload = { "emails": [{ "email": "jsmith@example.com" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: [{email: 'jsmith@example.com'}]})
};
fetch('https://api.amplemarket.com/email-validations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019f3cf5-7135-70a9-acfb-ab310c191ead",
"object": "email_validation",
"status": "queued",
"results": [],
"_links": {
"self": {
"href": "/email-validations/019f3cf5-7135-70a9-acfb-ab310c191ead"
}
}
}Email Validation
Start batch of email validations
Start batch of email validations
POST
/
email-validations
Start batch of email validations
For each email that goes through the validation process will consume 1 email credit from your account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Emails to be validated
Show child attributes
Show child attributes
Response
Batch accepted
Available options:
email_validation Available options:
queued, processing, completed, canceled, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I